AOZ Studio Beta - Bug #871

Need to double check the below and update or correct (Linux(Ubuntu)).
11/28/2021 09:08 PM - malcolm harvey

Status: Closed Start date: 11/29/2021
Priority: Normal Due date:

Assignee: AOZ Studio Team % Done: 0%
Category: Estimated time: 0:00 hour
Target version: none

Affected version: 1.0 (u38)

Description

Read down from here below link (In release share about channel).
Yes, this has happened twice for two different users with ubuntu installs.
https://discord.com/channels/653893653940404224/777642924275400715/914566998032265267

| did think this was now corrected for a) & b) need to double check and also
there seams to be for slashes and backward slashes when extracting.aozip files.

https://discord.com/channels/653893653940404224/777642924275400715/914614174754177024

History

#1 - 11/28/2021 09:17 PM - malcolm harvey
- File ubuntu aozip.png added
- File ubuntu install.png added

The issues themselves.

re: (linux ubuntu) install....

Installer error on Ubuntu (21.10).

Can't find user folder (??7?). It creates a dir on /home/user/AOZ_Studio but stuck there.

if self.userFolder == "":

messagebox.showerror( "Oops!", "Unable to find the User folder. The installation programm will stop." )
exit(0)

re: (aozip) extraction...

This was noted as well that was found useful when extracting .aozip files (ubuntu) which are saved packed up aoz zip files.
7z rn .aozip $(7z | .aozip | grep " | awk '{ print $6, gensub(/, "/", "g", $6); }' | paste -s)

#2 - 05/05/2023 07:34 AM - malcolm harvey

- Status changed from New to Closed

- Affected version changed from 1.0.0 (B11) u17 to 1.0 (u38)

Il close this now as my last test was successful now. Did not get stuck jammy jellyfish 22.04+ (Ubuntu).
Il reopen in the future if this re-occurs.

Files
ubuntu install.png 71.7 KB 11/28/2021 malcolm harvey
ubuntu aozip.png 197 KB 11/28/2021 malcolm harvey
